<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="УТ2" version="1.0" xmlns:УТ2="http://пф.рф/УТ/2017-08-21">
    <xsl:output method="html" indent="yes" encoding="utf-8"/>
            
    <!-- Вывод содержимого столбца "Статья, пункт федерального закона, причины при увольнении -->
    <xsl:template name="DismissalStr">
        <!-- Мероприятие кадрового учета-->
        <xsl:param name="pEvent"/>
        <xsl:variable name="paragraph" select="$pEvent/*[local-name()='Пункт']"/>
        <xsl:variable name="article" select="$pEvent/*[local-name()='Статья']"/>
        <xsl:variable name="basis" select="$pEvent/*[local-name()='ОснованиеУвольнения']"/>        
        <xsl:choose>
            <!-- вид = 3 (увольнение) -->
            <xsl:when test="$pEvent/*[local-name()='Вид'] = '3'">
                <xsl:if test="$article">
                    <xsl:value-of select="concat('ст.', $article)"/>
                </xsl:if>
                <xsl:if test="$paragraph">
                    <xsl:value-of select="concat(' п.', $paragraph)"/>
                </xsl:if>
                
                <xsl:call-template name="NormativeDocumentStr">
                    <xsl:with-param name="pNormativeDocument" select="$basis"></xsl:with-param>
                </xsl:call-template>
                <xsl:if test="$pEvent/*[local-name()='Причина']">
                    <xsl:choose>
                        <xsl:when test="$paragraph or $basis/УТ2:Подпункт or $basis/УТ2:Пункт or $article or $basis/УТ2:Часть or $basis/УТ2:Статья or $basis/УТ2:НормативныйДокумент">
                            <xsl:value-of select="concat(', ', $pEvent/*[local-name()='Причина'])"/>        
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:value-of select="$pEvent/*[local-name()='Причина']"/>
                        </xsl:otherwise>
                    </xsl:choose>                                                
                </xsl:if>
            </xsl:when>
            <!-- все остальные виды -->                                    
            <xsl:otherwise>                
                <xsl:if test="$article">
                    <xsl:value-of select="concat('ст.', $article)"/>    
                </xsl:if>  
                <xsl:if test="$paragraph">
                    <xsl:value-of select="concat(' п.',$paragraph, ' ')"/>    
                </xsl:if>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    <!-- Пункт нормативного документа-->
    <xsl:template name="NormativeDocumentStr">
        <xsl:param name="pNormativeDocument"/>
        <xsl:choose>
            <xsl:when test="$pNormativeDocument">
                <xsl:if test="$pNormativeDocument/УТ2:Статья">
                    <xsl:value-of select="concat(' ст.', $pNormativeDocument/УТ2:Статья)"/>
                </xsl:if>
                <xsl:if test="$pNormativeDocument/УТ2:Часть">
                    <xsl:value-of select="concat(' ч.', $pNormativeDocument/УТ2:Часть)"/>
                </xsl:if>                
                <xsl:if test="$pNormativeDocument/УТ2:Пункт">
                    <xsl:value-of select="concat(' п.', $pNormativeDocument/УТ2:Пункт)"/>
                </xsl:if>
                <xsl:if test="$pNormativeDocument/УТ2:Подпункт"> подпункт <xsl:value-of select="$pNormativeDocument/УТ2:Подпункт"/>
                </xsl:if>                
                <xsl:if test="$pNormativeDocument/УТ2:НормативныйДокумент">
                    <xsl:value-of select="concat(' ', $pNormativeDocument/УТ2:НормативныйДокумент)"/>
                </xsl:if>
            </xsl:when>
            <xsl:otherwise>&#160;</xsl:otherwise>
        </xsl:choose>		
    </xsl:template>
</xsl:stylesheet>
        
        